pw_module_info Struct Reference

The module information. More...

## Data Fields

uint32_t | id
| id of the global More...
uint64_t | change_mask
| bitfield of changed fields since last call More...
const char * | name
| name of the module More...
const char * | filename
| filename of the module More...
const char * | args
| arguments passed to the module More...
struct spa_dict * | props
| extra properties More...

## Detailed Description

The module information.

Extra information can be added in later versions

## Field Documentation

## args

const char* pw_module_info::args

arguments passed to the module

Referenced by pw_module_info_free(), and pw_module_info_update().

## change_mask

uint64_t pw_module_info::change_mask

bitfield of changed fields since last call

Referenced by pw_module_info_update().

## filename

const char* pw_module_info::filename

filename of the module

Referenced by pw_module_info_free(), and pw_module_info_update().

## id

uint32_t pw_module_info::id

id of the global

Referenced by pw_module_info_update().

## name

const char* pw_module_info::name

name of the module

Referenced by pw_module_info_free(), and pw_module_info_update().

## props

struct spa_dict* pw_module_info::props

extra properties

Referenced by pw_module_info_free(), and pw_module_info_update().

The documentation for this struct was generated from the following file:

- introspect.h